# eric7.Plugins.VcsPlugins.vcsMercurial.LargefilesExtension.largefiles

Module implementing the largefiles extension interface.

### Global Attributes

None

### Classes

Largefiles | Class implementing the largefiles extension interface.

### Functions

None

## Largefiles

Class implementing the largefiles extension interface.

### Derived from

HgExtension

### Class Attributes

None

### Class Methods

None

### Methods

Largefiles | Constructor
hgAdd | Public method used to add a file to the Mercurial repository.
hgLfPull | Public method to pull missing large files into the local repository.
hgLfVerify | Public method to verify large files integrity.
hgLfconvert | Public slot to convert the repository format of the current project.

### Static Methods

None

#### Largefiles (Constructor)

Largefiles(vcs)

Constructor

vcs
  reference to the Mercurial vcs object

#### Largefiles.hgAdd

hgAdd(names, mode)

Public method used to add a file to the Mercurial repository.

names
  file name(s) to be added (string or list of string)
mode
  add mode (string one of 'normal' or 'large')

#### Largefiles.hgLfPull

hgLfPull(revisions=None)

Public method to pull missing large files into the local repository.

revisions
  list of revisions to pull (list of string)

#### Largefiles.hgLfVerify

hgLfVerify(mode)

Public method to verify large files integrity.

mode
  verify mode (string; one of 'large', 'lfa' or 'lfc')

#### Largefiles.hgLfconvert

hgLfconvert(direction, projectFile)

Public slot to convert the repository format of the current project.

direction
  direction of the conversion (string, one of 'largefiles' or 'normal')
projectFile
  file name of the current project file (string)

Raises ValueError:
  raised to indicate a bad value for the 'direction' parameter.

Up